Intereting Posts
Как вернуться от призыва Извлечение элемента из списка массивов в Android? WebView возвращает bad window.innerHeight Почему android: transcriptMode = "normal" не работает должным образом? Полный пример того, как программно выполнять RotateAnimations? Android SDK 14 – Не удается создать устройство GTV Попытка вызвать виртуальный метод 'android.os.Handler android.support.v4.app.FragmentHostCallback.getHandler ()' в ссылке на нулевой объект Конвертировать UTC в локальное время на Android GoogleMap внутри фрагмента в ViewPager, сохраняйте все события касания в GoogleMap Рекомендации для разработчика C # – относительно плавного перехода на Android? Как создать настраиваемый LayoutParams для использования в пользовательском макете? Как выровнять родительское дно в линейной компоновке Android? Как упаковать приложение командной строки в apk? Android Transparent TextView? Предпочтение переключателя – обработка как onPreferenceChange, так и onPreferenceClick

«Версия биллинга в приложении 3 не поддерживается» с обновленным Play Store

Я интегрирую биллинг в приложении в приложение Xamarin.Android. Я тестировал API с помощью тестовых продуктов Google (android.test.purchased и других), и он работал нормально. После некоторого тестирования я начал получать следующую ошибку в событии OnInAppBillingError .

ОШИБКА: версия биллинга в приложении 3 НЕ поддерживается для com.example.appname

Com.example.appname – это идентификатор пакета моего приложения.

Я нашел эту ошибку в Интернете ( это самое близкое совпадение ), и решение заключается в обновлении Google Play Client. У меня есть последний возможный GPC (версия 5.9.12).

Странно то, что я начал получать эту ошибку после некоторых успешных тестов. И я получаю его, даже когда мой телефон не подключен к Интернету. Это говорит о том, что SDK для выставления счетов проверяет наличие чего-либо на моем телефоне.

Для первого раунда тестов я использовал MotoG 1st Gen под Android 4.4.4 и Google Play Client 5.9.12 (это тест, который сначала работал, а затем начался показ ошибки). Затем я решил использовать еще два устройства, и он работал на Samsung S4 (Android 4.4.2, GPC 5.9.12) и снова не работал на Samsung S2 (Android 4.1.2, GPC 5.7.10) .

EDIT: через несколько дней на Samsung S4 появилась ошибка (не внесены никакие изменения в код биллинга, она просто перестала работать). Я также использовал Samsung S5 без везения.

Solutions Collecting From Web of "«Версия биллинга в приложении 3 не поддерживается» с обновленным Play Store"